org.apache.jmeter.protocol.http.sampler

## Enum HTTPSamplerBase.SourceType

- java.lang.Object
- - java.lang.Enum<HTTPSamplerBase.SourceType>
  - - org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.SourceType

- All Implemented Interfaces:
    Serializable, Comparable<HTTPSamplerBase.SourceType>
  Enclosing class:
    HTTPSamplerBase

      public static enum HTTPSamplerBase.SourceType
      extends Enum<HTTPSamplerBase.SourceType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEVICE`
    `DEVICE_IPV4`
    `DEVICE_IPV6`
    `HOSTNAME`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `propertyName`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HTTPSamplerBase.SourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HTTPSamplerBase.SourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOSTNAME

          public static final HTTPSamplerBase.SourceType HOSTNAME

    - #### DEVICE

          public static final HTTPSamplerBase.SourceType DEVICE

    - #### DEVICE_IPV4

          public static final HTTPSamplerBase.SourceType DEVICE_IPV4

    - #### DEVICE_IPV6

          public static final HTTPSamplerBase.SourceType DEVICE_IPV6

  - ### Field Detail

    - #### propertyName

          public final String propertyName

  - ### Method Detail

    - #### values

          public static HTTPSamplerBase.SourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HTTPSamplerBase.SourceType c : HTTPSamplerBase.SourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HTTPSamplerBase.SourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.